package immobilier;

import java.util.ArrayList;
import java.util.List;

public class Agence {
    private String nomAgence;
    private ArrayList<Logement> logementsGeres;

    public Agence(String nomAgence) {
        this.nomAgence = nomAgence;
        this.logementsGeres = new ArrayList<>();
    }

    public void ajout(Logement logement){
        logementsGeres.add(logement);
    }

    @Override
    public String toString() {
        String res = nomAgence + "\n";
        for (Logement l : logementsGeres){
            res += "- " + l + "\n";
        }
        return res;
    }

    public ArrayList<Logement> recherche(Ville ville, Integer loyerMax, Integer surfaceMin){
        ArrayList<Logement> res = new ArrayList<>();
        for (Logement l : logementsGeres){
            if (l.getVille().equals(ville) && l.respectCriteres(loyerMax,surfaceMin)){
                res.add(l);
            }
        }
        return res;
    }

    public ArrayList<Logement> rechercheProche(Ville ville, int km, Integer loyerMax, Integer surfaceMin) {
        ArrayList<Logement> res = new ArrayList<>();
        for (Ville v : ville.proches(km)){
            res.addAll(recherche(v,loyerMax,surfaceMin));
        }
        return res;
    }

    public static void afficheListeLogement(List<Logement> logementList){
        for (Logement l : logementList){
            System.out.println(l);
        }
        //statique car ne dépend pas d'une instance d'Agence.
    }
}
