package immobilier;

public class Logement {
    private Adresse adresse;
    private int loyerEuro;
    private int surfaceM2;
    private boolean disponible;

    boolean respectCriteres(Integer loyerMax, Integer surfaceMin){
        boolean loyerOk = (loyerMax == null) || (loyerMax >= loyerEuro);
        boolean surfaceOk = (surfaceMin==null) || (surfaceMin <= surfaceM2);
        return  loyerOk && surfaceOk;
    }

    public Ville getVille(){
        return adresse.getVille();
    }

    @Override
    public String toString(){
        String res = "Logement ";
        if (disponible){
            res += "disponible : ";
        } else {
            res += "indisponible : ";
        }
       //alternative :  res += (disponible)?"disponible : ":"indisponible : ";
        res += adresse.getVille() +", " +
                loyerEuro + "€, " +
                surfaceM2 + "m2";

        return res;
    }
}
